import sys
import json
import tensorflow.keras as K
import tensorflow as tf
import os

# coding = utf-8
def main():
    modelfile=sys.argv[1]
    print(modelfile)
    jsonfilepath=sys.argv[2]
    modeltype=sys.argv[3]  #0: keras, 1:h5, 2:folder
    print(jsonfilepath)
    print(modeltype)
    
    if int(modeltype)==0:
        model=K.models.load_model(modelfile)
        model_config=model.to_json()
    if int(modeltype)==1:
        model=K.models.load_model(modelfile)
        model_config=model.to_json()
    if int(modeltype)==2:
        model=K.models.load_model(modelfile)
        model_config=model.to_json()
    print(model_config)
    y=json.loads(model_config)
    out_file=open(jsonfilepath,"w")
    json.dump(y,out_file,indent=6)


if __name__ == '__main__':
    main()
    

